import React, { Component } from 'react';
import BlockInp from '@containers/BlockInpContainer';
import { connect } from "react-redux";

class FamilyHistory extends Component {
  constructor(props) {
    super(props)
  }
  render() {
    const { value, isRead } = this.props;
    return <BlockInp title='家族史' boxMark='15' value={value} isRead={isRead}></BlockInp>;
  }
}

function mapStateToProps(state) {
  const { familyHistory } = state;
  return {
    value: familyHistory && familyHistory.saveText[0],
  }
}
function mapDispatchToProps(dispatch, store) {
  return {
  }
}

const FamilyHistoryCont = connect(
  mapStateToProps,
  mapDispatchToProps
)(FamilyHistory);

export default FamilyHistoryCont;